PANDA_ENDLINE(3)

NAME
panda_endline - finalise the current line shape

SYNOPSIS
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 void panda_endline( panda_page *target);

DESCRIPTION

Finalise the line shape we are drawing. Only one line shape may be drawn at any one time. There is no need for this call with the <command>panda_rectangle</command>() call.

RETURNS

Nothing

EXAMPLE
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 panda_pdf *document;
 panda_page *page;
 panda_init();
 document = panda_open("filename.pdf", "w");
 page = panda_newpage (document, panda_pagesize_a4);
 panda_setlinestart (page, 100, 200);
 panda_addlinesegment (page, 200, 200);
 panda_endline (page);

SEE ALSO

panda_setlinestart, panda_addlinesegment, panda_addcubiccurvesegment, panda_addquadraticsegmentone, panda_addquadraticcurvesegmenttwo, panda_closeline, panda_rectangle, panda_strokeline, panda_fillline, panda_setlinewidth, panda_setlinecap, panda_setlinejoin, panda_setlinedash, panda_setfillcolor, panda_setlinecolor

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.